Article ID: 113486, created on Mar 26, 2012, last review on Aug 12, 2014

  • Applies to:
  • Plesk

介绍

发布这个补丁脚本的目的是帮助批量(大规模)部署修复补丁到安装在PVC或PSBM的Container中并且存在安全漏洞的Plesk for Linux。当在硬件节点上运行这个脚本时,会部署修复补丁到所有使用VZ模板安装的Plesk for Linux或Plesk for Windows的Container中。

备注:
这个脚本可以在Container处于 "停止," "挂载," 或 "运行." 状态下执行修补漏洞。
如果Container处于 "升级" 状态下,必需等待相关安装或升级过程结束才能部署这个脚本。

使用方法

Linux:

1. 上传这个压缩包到硬件节点上的一个单独目录中:

plesk_remote_vulnerability_fix_mass_deployer.tar.gz (md5sum: 2fec18faad18ba7cf5bb8d9cbd080978)

2. 解压缩这个文件:

# tar -xzf plesk_remote_vulnerability_fix_mass_deployer.tar.gz


3. 用root身份执行这个shell脚本:

# ./plesk_remote_vulnerability_fix_mass_deployer.sh



Windows:

1. 上传这个压缩包到硬件节点上的一个单独目录中:
 
plesk_remote_vulnerability_fix_mass_deployer.zip   (md5sum: 36ced341b49a5150df8198f4942b8b58)
 
2. 解压这个文件, 例如, 解压缩到 C:\fix.
 
3. 在硬件节点上,用管理员(Administrator)身份执行这个批处理文件:
 
C:\fix>plesk_remote_vulnerability_fix_mass_deployer.bat

4. 如果需要将这个补丁部署到指定的Container里, 执行这个脚本并使用空格隔开的CTID作为参数:
 
C:\fix>plesk_remote_vulnerability_fix_mass_deployer.bat 101 102 354

Attachments

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article